#ifndef XSOUNDFILEREF_H
#define XSOUNDFILEREF_H

#include "xasset.h"
#include "xloadedsound.h"
#include "xstreamedsound.h"

class XSoundFile;

class XSoundFileRef : public XAsset
{
public:
    explicit XSoundFileRef();
    XSoundFileRef(XSoundFile& aParent);
    ~XSoundFileRef();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    XSoundFile* mParent;
    XLoadedSound mLoadedSnd;
    XStreamedSound mStreamSnd;
};

#endif // XSOUNDFILEREF_H
